Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

# Class NumberAndSumOfTransactions1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_05.NumberAndSumOfTransactions1

public class NumberAndSumOfTransactions1 extends Object

Java class for NumberAndSumOfTransactions1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NumberAndSumOfTransactions1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NbOfNtries" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max15NumericText" minOccurs="0"/>
             <element name="Sum" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}DecimalNumber" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`nbOfNtries`
`protected BigDecimal`
`sum`

## Constructor Summary

Constructors
Constructor
Description
`NumberAndSumOfTransactions1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getNbOfNtries()`
Gets the value of the nbOfNtries property.
`BigDecimal`
`getSum()`
Gets the value of the sum property.
`void`
`setNbOfNtries(String value)`
Sets the value of the nbOfNtries property.
`void`
`setSum(BigDecimal value)`
Sets the value of the sum property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nbOfNtries

protected String nbOfNtries

### sum

protected BigDecimal sum

## Constructor Details

### NumberAndSumOfTransactions1

public NumberAndSumOfTransactions1()

## Method Details

### getNbOfNtries

public String getNbOfNtries()
Gets the value of the nbOfNtries property.

Returns:
  possible object is `String`

### setNbOfNtries

public void setNbOfNtries(String value)
Sets the value of the nbOfNtries property.

Parameters:
  `value` - allowed object is `String`

### getSum

public BigDecimal getSum()
Gets the value of the sum property.

Returns:
  possible object is `BigDecimal`

### setSum

public void setSum(BigDecimal value)
Sets the value of the sum property.

Parameters:
  `value` - allowed object is `BigDecimal`